Package com.pixelmed.apps

# Class InsertRealWorldValueMap

java.lang.Object
com.pixelmed.apps.InsertRealWorldValueMap

public class InsertRealWorldValueMap extends Object

A class containing an application for inserting Real World Value Maps from the command line.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`InsertRealWorldValueMap.OurMediaImporter`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`dstFolderName`
`protected String`
`explanation`
`protected String`
`firstValueMapped`
`protected String`
`intercept`
`protected String`
`label`
`protected String`
`lastValueMapped`
`protected String`
`ourAETitle`
`protected List<ContentItem>`
`quantityDefinitionContentItems`
`protected String`
`slope`
`protected String`
`unitsCodeMeaning`
`protected String`
`unitsCodeValue`
`protected String`
`unitsCodingSchemeDesignator`
`protected String`
`unitsCodingSchemeVersion`

## Constructor Summary

Constructors
Constructor
Description
`InsertRealWorldValueMap(String firstValueMapped, String lastValueMapped, String intercept, String slope, String explanation, String label, String unitsCodeValue, String unitsCodingSchemeDesignator, String unitsCodingSchemeVersion, String unitsCodeMeaning, List<ContentItem> quantityDefinitionContentItems, String src, String dstFolderName, MessageLogger logger)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
Insert a Real World Value Map into the specified files.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ourAETitle

protected String ourAETitle

### dstFolderName

protected String dstFolderName

### firstValueMapped

protected String firstValueMapped

### lastValueMapped

protected String lastValueMapped

### intercept

protected String intercept

### slope

protected String slope

### explanation

protected String explanation

### label

protected String label

### unitsCodingSchemeDesignator

protected String unitsCodingSchemeDesignator

### unitsCodeValue

protected String unitsCodeValue

### unitsCodeMeaning

protected String unitsCodeMeaning

### unitsCodingSchemeVersion

protected String unitsCodingSchemeVersion

### quantityDefinitionContentItems

protected List<ContentItem> quantityDefinitionContentItems

## Constructor Details

### InsertRealWorldValueMap

public InsertRealWorldValueMap(String firstValueMapped, String lastValueMapped, String intercept, String slope, String explanation, String label, String unitsCodeValue, String unitsCodingSchemeDesignator, String unitsCodingSchemeVersion, String unitsCodeMeaning, List<ContentItem> quantityDefinitionContentItems, String src, String dstFolderName, MessageLogger logger) throws IOException, DicomException

Throws:
  `IOException`
  `DicomException`

## Method Details

### main

public static void main(String[] arg)

Insert a Real World Value Map into the specified files.

Does not replace UIDs or set type to derived.

Parameters:
  `arg` - array of 12 or more strings - first value mapped, last value mapped, intercept, slope, explanation, label, units codeValue, units codingSchemeDesignator, units codingSchemeVersion (or empty string if none), units codeMeaning, zero or more quantity definition content items, source folder or DICOMDIR, destination folder